<?php
/**
 * @copyright   &copy; 2005-2019 PHPBoost
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Kévin BRISSEZ <brissez.kevin@gmail.com>
 * @version     PHPBoost 5.0 - last update: 2019 11 01
 * @since       PHPBoost 5.0 - 2019 07 01
 */

class NotificationsModuleMiniMenu extends ModuleMiniMenu
  {
    public function get_default_block()
      {
        return self::BLOCK_POSITION__LEFT;
      }
    
    public function get_menu_id()
      {
        return 'module-mini-notifications';
      }
    
    public function get_menu_title()
      {
        return LangLoader::get_message('module_title', 'common', 'notifications');
      }
    
    public function is_displayed()
      {
        return true;
      }
    
    public function get_menu_content()
      {
        //Create file template
        $tpl = new FileTemplate('notifications/NotificationsModuleMiniMenu.tpl');
        
        //Assign the lang file to the tpl
        $tpl->add_lang(LangLoader::get('common', 'notifications'));
        
        //Assign common menu variables to the tpl
        MenuService::assign_positions_conditions($tpl, $this->get_block());
        
        $tpl->put('U_NOTIFICATIONS', NotificationsUrlBuilder::home()->rel());
        
        $nbr_notifications = NotificationsService::count('WHERE recipient_id=:recip_id AND reading = 0', array(
            'recip_id' => AppContext::get_current_user()->get_id()
        ));
        
        $tpl->put_all(array(
            'NBR_NOTIFICATIONS' => $nbr_notifications,
            'C_NOTIFICATION' => $nbr_notifications > 0 ? true : false
        ));
        
        return $tpl->render();
      }
  }
?>