<?php
/**
 * @copyright   &copy; 2005-2019 PHPBoost
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Kévin BRISSEZ <brissez.kevin@gmail.com>
 * @version     PHPBoost 5.0 - last update: 2019 11 01
 * @since       PHPBoost 5.0 - 2019 07 01
 */

class NotificationsService
  {
    private static $db_querier;
    
    public static function __static()
      {
        self::$db_querier = PersistenceContext::get_querier();
      }
    
    // Compter le nombre de notification
    public static function count($condition, $parameters)
      {
        return self::$db_querier->count(NotificationsSetup::$notifications_table, $condition, $parameters);
      }
    
    // Ajouter une notification
    public static function add(Notifications $notifications)
      {
        $result = self::$db_querier->insert(NotificationsSetup::$notifications_table, $notifications->get_properties());
        
        return $result->get_last_inserted_id();
      }
    
    // Marquer les notifications comme lues
    public static function mark_notifications_as_read($recipient_id)
      {
        self::$db_querier->update(NotificationsSetup::$notifications_table, array(
            'reading' => 1
        ), 'WHERE recipient_id=:id', array(
            'id' => $recipient_id
        ));
      }
    
    // Marquer UNE notification comme lue
    public static function mark_one_notification_as_read($id_notification, $recipient_id)
      {
        self::$db_querier->update(NotificationsSetup::$notifications_table, array(
            'reading' => 1
        ), 'WHERE id=:id_notification AND recipient_id=:recip_id', array(
            'id_notification' => $id_notification,
            'recip_id' => $recipient_id
        ));
      }
    
    // Supprimer la/les notifications
    public static function delete($condition, array $parameters)
      {
        self::$db_querier->delete(NotificationsSetup::$notifications_table, $condition, $parameters);
      }
    
    
  }
?>